Bug 383431 - acer aspire 7520 Atheros AR5006EG WiFi not supported
acer aspire 7520 Atheros AR5006EG WiFi not supported
Status: CLOSED DUPLICATE of bug 254192
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 16:08 EST by Alexandre
Modified: 2008-01-24 15:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-24 15:06:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -n for Toshiba notebook with Atheros AR5007EG chipset (690 bytes, text/plain)
2008-01-17 01:12 EST, Thomas Chung
no flags Details
dmidecoe output for Toshiba notebook with Atheros AR5007EG chipset (6.27 KB, text/plain)
2008-01-17 01:13 EST, Thomas Chung
no flags Details

  None (edit)
Description Alexandre 2007-11-14 16:08:09 EST
[root@localhost etc]# rpm -q kernel
kernel-2.6.23.1-49.fc8

[root@localhost etc]# lspci -v 
05:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g
Wireless PCI Express Adapter (rev 01)
        Subsystem: AMBIT Microsystem Corp. Unknown device 0428
        Flags: fast devsel, IRQ 20
        Memory at f2200000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable-
        Capabilities: [60] Express Legacy Endpoint IRQ 0
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1

[root@localhost modprobe.d]# modprobe ath5k
[root@localhost modprobe.d]# dmesg
ACPI: PCI Interrupt 0000:05:00.0[A] -> Link [LK4E] -> GSI 19 (level, low) -> IRQ 20
PCI: Setting latency timer of device 0000:05:00.0 to 64
ath5k_hw_nic_wakeup: failed to resume the MAC Chip
ACPI: PCI interrupt for device 0000:05:00.0 disabled
ath5k_pci: probe of 0000:05:00.0 failed with error -5
Comment 1 John W. Linville 2007-11-21 15:49:22 EST
FYI, info on how to help the ath5k reverse engineering team:

   http://marc.info/?l=linux-wireless&m=119282415503974&w=2
Comment 2 John W. Linville 2007-11-29 09:53:28 EST
Lots of ath5k updates in kernel-2.6.23.8-63.fc8...does that work any better 
for you?
Comment 3 Thomas Chung 2007-12-06 19:49:35 EST
I also have AR5006EG on my new laptop (Toshiba Satellite A135-S7404)

# lspci | grep -i ath
04:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g
Wireless PCI Express Adapter (rev 01)

Just installed kernel-2.6.23.8-63.fc8 and now I can't even see wlan0 in iwconfig

# iwconfig
lo        no wireless extensions.

eth0      no wireless extensions.

In the original kernel-2.6.23.1-42.fc8, at least I was able to see wlan0 in
iwconfig.
Comment 4 Thomas Chung 2007-12-07 20:16:23 EST
I have an interesting new Information.
Just a curiocity, I installed back the orignial factory image (Win Vista Home)
for Toshiba Satellite A135-S1704.
When I opened Device Manager, it reports I have Atheros AR5007EG not AR5006EG as
reported in Linux side.
I'm not sure which is correct. Assuming the Windows's report is correct then it
seems we have a bug in the utility or incorrect database for this wireless device.
Comment 5 Jon Stanley 2008-01-16 19:51:02 EST
Alexandre and Thomas -

It would be helpful if you could attach the output of lspci -n to verify what
PCI ID's are there.  Also, if you could both provide dmidecode output (please
attach both of these items as separate text/plain attachments), that would be
very useful.  If I don't hear back in one month, I'll close this bug
INSUFFICIENT_DATA
Comment 6 Thomas Chung 2008-01-17 01:12:24 EST
Created attachment 291958 [details]
lspci -n for Toshiba notebook with Atheros AR5007EG chipset
Comment 7 Thomas Chung 2008-01-17 01:13:07 EST
Created attachment 291960 [details]
dmidecoe output for Toshiba notebook with Atheros AR5007EG chipset
Comment 8 Thomas Chung 2008-01-17 01:17:36 EST
(In reply to comment #5)
> Alexandre and Thomas -
> 
> It would be helpful if you could attach the output of lspci -n to verify what
> PCI ID's are there.  Also, if you could both provide dmidecode output (please
> attach both of these items as separate text/plain attachments), that would be
> very useful.  If I don't hear back in one month, I'll close this bug
> INSUFFICIENT_DATA

Hi John, I have posted two attachments per your request.
FYI, I'm using madwifi instead of ath5k to get the support for Atheros AR5007EG
chipset[1] on F8 with kernel 2.6.23.9-85.fc8
[1] http://madwifi.org/wiki/Compatibility/Atheros#AtherosAR5007EG
Comment 9 John W. Linville 2008-01-24 15:06:04 EST

*** This bug has been marked as a duplicate of 254192 ***

Note You need to log in before you can comment on or make changes to this bug.